%global major 2
%define libname %mklibname xfont2_ %{major}
%define devname %mklibname -d xfont2

Summary: X.Org X11 libXfont2 runtime library
Name: libxfont2
Version: 2.0.1
Release: %mkrel 1
License: MIT
Group: System/Libraries
URL: http://www.x.org

Source0: http://www.x.org/pub/individual/lib/libXfont2-%{version}.tar.xz
# Misc fixes cherry picked from upstream git master
Patch0: libXfont-2.0.1-misc-fixes.patch

BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig(fontsproto)
BuildRequires: x11-util-macros
BuildRequires: x11-xtrans-devel
BuildRequires: libfontenc-devel
BuildRequires: freetype2-devel

%description
X.Org X11 libXfont2 runtime library

%package -n %libname
Summary: X.Org X11 libXfont2 runtime library
Group: System/Libraries


%description -n %libname
X.Org X11 libXfont2 runtime library

%package -n %devname
Summary: X.Org X11 libXfont2 development package
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: libxfont2-devel = %{version}-%{release}

%description -n %devname
X.Org X11 libXfont development package

%prep
%setup -q -n libXfont2-%version
%patch0 -p1

%build
autoreconf -v --install --force
export CFLAGS="$RPM_OPT_FLAGS -Os"
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%files -n %libname
%doc AUTHORS README ChangeLog COPYING
%{_libdir}/libXfont2.so.%{major}
%{_libdir}/libXfont2.so.%{major}.*

%files -n %devname
%{_includedir}/X11/fonts/libxfont2.h
%{_libdir}/libXfont2.so
%{_libdir}/pkgconfig/xfont2.pc


%changelog
* Thu Jul 06 2017 adrianomorselli <adrianomorselli> 2.0.1-1uplos2017
- import for xorg 1.19.4
